Module jdk.jlink
Package jdk.tools.jlink.plugin

## Interface TransformerPlugin

All Superinterfaces:
  Plugin

    public interface TransformerPlugin
    extends Plugin

Implement this interface to develop a Transformer plugin. TransformerPlugin are called during image creation. This kind of plugin aims to modify the content of the runtime image.

### Nested Class Summary

### Nested classes/interfaces inherited from interface jdk.tools.jlink.plugin.Plugin

`Plugin.CATEGORY, Plugin.PluginType, Plugin.STATE`

### Method Summary

All Methods Instance Methods Abstract Methods
`void` `visit(Pool in, Pool out)` Visit the content of the modules that are composing the image.

### Methods inherited from interface jdk.tools.jlink.plugin.Plugin

`configure, configure, getArgumentsDescription, getDescription, getName, getOption, getState, getStateDescription, getType, hasArguments, isAfter, isBefore`

### Method Detail

#### visit

    void visit(Pool in,
               Pool out)

Visit the content of the modules that are composing the image.

Parameters:
  `in` - Read only content.
  `out` - The pool to fill with content. This pool must contain the result of the visit.
Throws:
  `PluginException`